Great stuff Donncha. I will add a link to this page on my last article. When I upgraded from wpmu 2.9.2 to Multisite 3.0.1 I received that:

“You don’t have permission to view this site. Please contact the system administrator.”

So I need to upgrade to this version of the plugin to fix that issue.

Greetings,
Alex.